haskell-vty (6.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 19 Sep 2024 20:37:03 +0300

haskell-vty (5.38-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 10 Sep 2023 22:13:41 +0300

haskell-vty (5.33-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 20 Jun 2022 17:55:34 -0400

haskell-vty (5.28.2-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 17 Aug 2020 13:38:29 +0300

haskell-vty (5.26-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 19:00:15 -0400

haskell-vty (5.25.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 26 Jul 2019 22:16:24 -0400

haskell-vty (5.21-3) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:15 +0300

haskell-vty (5.21-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-stm-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 17:50:20 +0300

haskell-vty (5.21-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 11:16:19 +0300

haskell-vty (5.20-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:25:06 -0400

haskell-vty (5.16-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Sep 2017 14:15:50 -0700

haskell-vty (5.15.1-2) unstable; urgency=medium

  * Stop trying to install TODO file, removed upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 13:51:55 +0200

haskell-vty (5.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 05 Jul 2017 22:03:13 -0400

haskell-vty (5.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 31 Oct 2016 21:05:53 -0400

haskell-vty (5.11.1-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:36:52 -0400

haskell-vty (5.11.1-1) experimental; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 26 Oct 2016 19:16:34 -0400

haskell-vty (5.11-1) experimental; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 00:52:51 -0400

haskell-vty (5.5.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 May 2016 17:17:30 +0200

haskell-vty (5.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 10 Jan 2016 22:06:31 -0500

haskell-vty (5.3.1-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:14 -0500

haskell-vty (5.3.1-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:59 +0200

haskell-vty (5.2.8-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:59:10 +0200

haskell-vty (5.2.8-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:54:52 +0200

haskell-vty (5.2.8-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 16 Apr 2015 15:11:49 +0200

haskell-vty (5.2.6-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release
  * Do not depend on transformers, which now comes with GHC
  * Do not depend on terminfo, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Mon, 22 Dec 2014 01:18:25 +0100

haskell-vty (5.2.3-2) unstable; urgency=medium

  * Do not pass -fPIC, as per
    http://ghc.haskell.org/trac/ghc/ticket/9657#comment:7

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Oct 2014 21:12:27 +0200

haskell-vty (5.2.3-1) unstable; urgency=medium

  * New upstream release
  * Depend on ghc-ghci, as it uses Template Haskell

 -- Joachim Breitner <nomeata@debian.org>  Tue, 30 Sep 2014 12:26:57 +0200

haskell-vty (5.2.1-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout
  * Remove Eric Warmenhoven from Uploaders (Closes: #738891)

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 01 Aug 2014 20:00:04 -0400

haskell-vty (4.7.0.20-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:52 +0200

haskell-vty (4.7.0.20-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:26 +0200

haskell-vty (4.7.0.20-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 08 Nov 2012 22:28:19 +0100

haskell-vty (4.7.0.14-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 19:08:47 +0200

haskell-vty (4.7.0.12-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 17 May 2012 23:00:17 -0400

haskell-vty (4.7.0.10-2) unstable; urgency=low

  * Fix -doc dependency.

 -- Clint Adams <clint@debian.org>  Sun, 12 Feb 2012 21:04:48 -0500

haskell-vty (4.7.0.10-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 09 Feb 2012 23:13:35 -0500

haskell-vty (4.7.0.6-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 02 Jan 2012 12:34:16 -0500

haskell-vty (4.7.0.4-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 28 Aug 2011 12:27:55 -0400

haskell-vty (4.6.0.6-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 03 Jun 2011 12:15:18 -0400

haskell-vty (3.1.8.4-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * Standards-Version → 3.9.2, no changes required
  * Add missing haskell-utf8-string BDs, no longer provided by GHC

 -- Iain Lane <laney@ubuntu.com>  Wed, 18 May 2011 14:54:47 +0100

haskell-vty (3.1.8.4-2) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Add Vcs-Darcs: field.
  * debian/control: Add Homepage: field.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Use more sintetic link in Homepage:.
  * debian/control: Remove uneeded Build-Depends: in libghc6-utf8-
    string-*.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 16:09:58 +0100

haskell-vty (3.1.8.4-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adopt for the Debian Haskell Group

  [ Iain Lane ]
  * New upstream release
  * debian/control: Update for new build-dependencies
  * debian/control: Bump standards-version, add Homepage field

 -- Iain Lane <laney@ubuntu.com>  Sun, 12 Jul 2009 17:58:47 +0100

haskell-vty (3.0.1-1.2) unstable; urgency=low

  * Depend on hscolour

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Jul 2009 11:28:09 +0200

haskell-vty (3.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against current ghc (Closes: 523296, 534064, 517332)
  * Change section
  * Update to current haskell-devscripts packaging style

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Jul 2009 02:41:15 +0200

haskell-vty (3.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Eric Warmenhoven <warmenhoven@debian.org>  Mon, 31 Mar 2008 17:40:43 -0700

haskell-vty (3.0.0-1) unstable; urgency=low

  * Initial release. Closes: #470396.

 -- Eric Warmenhoven <warmenhoven@debian.org>  Thu, 06 Mar 2008 16:09:48 -0800
